<template lang='pug'>
  section.space-bg
    .container
      .wrapper
        BaseText.title.space-mdl(size='text-bg' weight='weight600') Склад
        .container-flex
          StockDetail(:detail = 'details[0]' :isShowModal.sync = 'isShowModal')
          StockDetail(:detail = 'details[1]' :isShowModal.sync = 'isShowModal')
          StockDetail(:detail = 'details[2]' :isShowModal.sync = 'isShowModal')
      ModalCoins(
        v-if='isShowModal'
        isShowModal=isShowModal
        @onClose='onClose'
      )
</template>

<script lang='ts'>
import Vue from 'vue'
import Component from 'vue-class-component'

import { ProductionModule } from '../../store/modules/production/index'
import BaseText from '../BaseText.vue'
import StockDetail from './StockDetail.vue'
import ModalCoins from '../ModalCoins.vue'

@Component({
  components: {
    StockDetail,
    ModalCoins,
    BaseText
  }
})
export default class Stock extends Vue {
  isShowModal: Boolean = false

  get details () {
    return ProductionModule.details
  }

  onClose () {
    this.isShowModal = !this.isShowModal
  }
}
</script>

<style lang='scss' scoped>
@import '../../assets/styles/config/variables.scss';

.wrapper {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  column-gap: 24px;
}

.title {
  grid-column: 2 / 3;
}

.container-flex {
  width: 755px;
  grid-column: 2 / 7;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
</style>
